2
votes
1answer
717 views

How to install Mono v3+ in Ubuntu?

How can I install the latest release of Mono in Ubuntu Saucy? In order to develop in a free OS, I need to setup Mono (that now supports .NET 4.5). This is what I did: Download and uncompress ...
3
votes
1answer
510 views

Why is Mono 3.x available specifically for OpenSuse and not other Linux (like Ubuntu)

The Mono download page has a download for OpenSuse but not any other version of Linux. Why is that, is OpenSuse better suited for Mono for some reason than say Ubuntu? We're developing on Macs using ...
1
vote
0answers
48 views

Monodevelop D Bindings for Debian / Ubuntu?

I want to install the D-Language binding for MonoDevelop but it does require MonoDevelop 4.x, which isn't available yet for Linux based systems. Is there any way I can get around this? I tried ...
1
vote
0answers
121 views

Program does not terminate when called from udev

I've written a program in C#/Mono that probes a device to determine if it is a modem. The program works fine from the command line. However, when it is called from PROGRAM= in a udev rule, the ...
2
votes
3answers
5k views

How do I install mono's System.Windows.Forms on Ubuntu?

I haven't found any concise explanation of this.
-1
votes
1answer
1k views

Virtual packages like 'mono-common' can't be removed

Any ideas? I'm trying to install mono as per these instructions: http://blog.ruski.co.za/page/Install-Mono-on-Ubuntu.aspx I need to be able to run the second command apt-get remove mono-common but ...
2
votes
2answers
380 views

Applications that run on Mono in Ubuntu

I think Mono, and the C# language, are a great, nay, fantastic project. My question is: how prevalent is Mono in Ubuntu? How much of a penetration is it getting, and what applications run on it?
1
vote
2answers
1k views

How to permanently remove all Mono related package (libs, apps, etc.)

I'm a Ubuntu newbie. In my opinion Mono is a patent trap and I do not want my distribution of choice to be tainted by anything Mono or any application that requires Mono. So I would welcome your ...